﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Parichay.Domain.Interface.Data
{
    public interface IMemberConnectsRepository
    {
        IList<Domain.MemberInvitations> getMemberInvitesByUserId(object userId, int pageSize, int pageIndex);
        IList<Domain.MemberRequests> getMemberRequestsByUserId(object userId, int pageSize, int pageIndex);
        MemberInvitations getMemberInvitationById(object id);
        MemberRequests getMemberRequestById(object id);
        bool CreateMemberInvitation(MemberInvitations memberInvitation);
        bool CreateMemberRequest(MemberRequests memberRequest);
        bool DeleteMemberRequest(MemberRequests memberRequest);
        bool DeleteMemberRequestById(object id);
        bool DeleteMemberInvitation(MemberInvitations memberInvitation);
        bool DeleteMemberInvitationById(object id);
    }
}
