﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Parichay.Domain.Interface.Data
{
    public interface IMessageRepository
    {
        MemberMessage GetMessageById(int id);
        bool AddMessage(MemberMessage model);
        void DeleteMessage(int id);
        bool ReplyMessage(int id, int rId, MemberMessage model);
        IList<MemberMessage> GetMessagesByUserId(int userId,int pageSize, int index);
        IList<MemberMessage> GetUserMessagesByDate(int userId, DateTime startDate, DateTime endDate);
    }
}
