﻿using System;
using System.Collections.Generic;
using System.Text;
using Parichay.Domain.Security.Entity;
using NHibernate;
using Parichay.Domain.Security.Models;

namespace Parichay.Security
{
   public static class SecurityHelper
    {

       public static IList<DbEntity> getAllRoles()
       {
           IList<DbEntity> resultList = new List<DbEntity>();

           try
           {
               IList<Role> actList = Helper.NHibernateProviderEntityHelper.ConvertToListOf<Role>(Parichay.Security.Helper.NHibernateHelper.FindByNamedQuery("Role.FindAll"));

               foreach (Role item in actList)
               {
                   DbEntity tmp = new DbEntity();
                   tmp.Id = item.Id;
                   tmp.Name = item.Name;
                   tmp.Description = item.Description;
                   tmp.LoweredName = item.LoweredName;

                   resultList.Add(tmp);
               }
           }
           catch
           {
               throw;
           }
           return (resultList);
       }

    }
}
