﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Parichay.Domain.Interface.Data
{
   public interface IMemberPostsRepository
    {
        MemberPosts GetMemberPostById(int id);
        bool AddMemberPost(MemberPosts model);
        void DeleteMemberPost(int id);
        bool ReplyMemberPost(int id, int rId, MemberPosts model);
        IList<MemberPosts> GetMemberPostsByUserId(int userId, int pageSize, int pageIndex);
        IList<MemberPosts> GetFriendsMemberPostsByUserId(int userId, int pageSize, int pageIndex);
        IList<MemberPosts> GetMemberPostsByDate(int userId, DateTime startDate, DateTime endDate);
    }
}
